/**
 * XOrganizationNamePartType.java
 *
 * File generated from the medication::XOrganizationNamePartType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XOrganizationNamePartType.
 *
 * 
 */

@XmlType(name = "XOrganizationNamePartType")
@XmlEnum
@XmlRootElement(name = "XOrganizationNamePartType")
public enum XOrganizationNamePartType {
	@XmlEnumValue("DEL")
	DEL("DEL"),
	@XmlEnumValue("PFX")
	PFX("PFX"),
	@XmlEnumValue("SFX")
	SFX("SFX");
	
	private final String value;

    XOrganizationNamePartType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XOrganizationNamePartType fromValue(String v) {
        for (XOrganizationNamePartType c: XOrganizationNamePartType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}